VPS侦探论坛

 找回密码
 注册
查看: 105|回复: 6

lnmp环境,命令行php -v失效

[复制链接]
发表于 2020-9-10 10:53:05 | 显示全部楼层 |阅读模式



本帖最后由 huohun100 于 2020-9-10 10:55 编辑

安装的是lnmp1.5,默认php5.6版本,然后再通过install.sh脚本安装php7.2版本。

结果输入命令php -v无效,/usr/local/php/bin/php -v 也无效(安装7.2版本之前输入命令行是有结果的)。
但是整个lnmp环境运行正常,站点也正常。

因为开发需要,我需要用composer命令,且要求php版本>=7.2


美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2020-9-10 12:41:19 | 显示全部楼层


如果你是要升级php版本的话是 ./upgrade.sh php
如果运行的是 ./install.sh mphp的话是另外安装了一个php版本,安装多php版本也是不影响原来的php版本
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
 楼主| 发表于 2020-9-10 13:32:12 | 显示全部楼层



对,安装多版本,但是目前php命令用不了是咋回事?
安装的位置是在/usr/local/php/bin/php
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
 楼主| 发表于 2020-9-10 13:33:05 | 显示全部楼层



环境变量 和 软连接 应该是对的
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
发表于 2020-9-10 19:06:52 | 显示全部楼层

ls -l /usr/local/php/bin/php 看一下,安装多php版本是不会动原来的php版本的,history 看一下你是否有做过操作

美国VPS、VPN、域名代购:http://shop63846532.taobao.com/

 楼主| 发表于 2020-9-11 10:24:19 | 显示全部楼层

找到原因了,软连接命令执行错,覆盖了php的应用文件。
另外一个问题,请问我如何单独卸载php的某一版本,直接 rm -rf /usr/local/php7.2/bin/php 嘛?
发表于 2020-9-11 19:28:19 | 显示全部楼层

huohun100 发表于 2020-9-11 10:24
找到原因了,软连接命令执行错,覆盖了php的应用文件。
另外一个问题,请问我如何单独卸载php的某一版本, ...

这样不完整,可以论坛搜索:多php版本卸载
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2020-9-21 04:04 , Processed in 0.049559 second(s), 26 queries .

Powered by Discuz! X3.4

Copyright © 2001-2020, Tencent Cloud.

快速回复 返回顶部 返回列表